Skip to content

Drafts List ​

http
GET /api/supplies/v1/drafts

Base URL: https://supplies-api.wildberries.ru · Module: orders-fbw · Section: Supply Drafts · Specification doc ↗

Method is available by Personal token, Service token

The method returns a list of supply drafts

Request limit per one seller account:

PeriodLimitIntervalBurst
1 min30 requests2 s10 requests

Parameters ​

NameInTypeReq.Description
limitqueryinteger<int64>noNumber of drafts in the response
offsetqueryinteger<int64>noHow many results to skip. For example, for the value 10, the response will start with the 11 element
sortquerystringnoSorting: - createdDt — by the draft creation date - updatedDt — by the draft update date
orderquerystringnoData order: - desc — descending - asc — ascending

Responses ​

CodeDescriptionSchema
200Successmodels.ListDraftsResponse
400Bad requesterrors.DraftError
401Unauthorizedobject
402Payment requiredobject
403Access deniedResponse4XX
429Too many requestsobject

Structure 200:

  • total integer<int64> — Total number of drafts
  • drafts models.DraftItem[] — Drafts list
    • draftId string — Draft ID
    • phone string — Phone number of the user that created the draft
    • createdAt string<ISO 8601> — Date and time the draft was created
    • updatedAt string<ISO 8601> — Date and time the draft was updated
    • skuQuantity integer<int64> — SKU quantity
    • itemQuantity integer<int64> — Item quantity

Structure 400:

  • status integer<int64> — HTTP status code
  • title string — Error title
  • detail string — Error details
  • requestId string — Unique request ID
  • origin string — Service name

Structure 401:

  • title string — Error title
  • detail string — Error details
  • code string — Internal error code
  • requestId string — Unique request ID
  • origin string — WB internal service ID
  • status number — HTTP status code
  • statusText string — Text of the HTTP status code
  • timestamp string — Request date and time

Structure 402:

Structure 403:

  • title string — Error title
  • detail string — Error details
  • code string — Internal error code
  • requestId string — Request ID
  • origin string — WB internal service ID
  • status number — HTTP status code
  • statusText string — Text of the HTTP status code
  • timestamp string — Request date and time

Structure 429:

  • title string — Error title
  • detail string — Error details
  • code string — Internal error code
  • requestId string — Unique request ID
  • origin string — WB internal service ID
  • status number — HTTP status code
  • statusText string — Text of the HTTP status code
  • timestamp string — Request date and time

Call examples ​

Arguments are shown as parameter names — substitute your own values. Languages whose client does not expose this operation are omitted.

python
from wb_api_client.orders_fbw import Configuration, ApiClient
from wb_api_client.orders_fbw.api import OrdersFbwApi

cfg = Configuration(access_token="<your WB JWT>")
api = OrdersFbwApi(ApiClient(cfg))

result = api.get_v1_drafts(limit=..., offset=..., sort=..., order=...)
print(result)
ts
import {
  Configuration,
  OrdersFbwApi,
} from "@valeryverkhoturov/wb-api-client/orders-fbw";

const cfg = new Configuration({});
cfg.setAccessToken("<your WB JWT>");
const api = new OrdersFbwApi(cfg);

const { data } = await api.getV1Drafts(limit, offset, sort, order);
console.log(data);
go
import (
	"context"
	"fmt"

	wbordersfbw "github.com/ValeryVerkhoturov/wb-api-client-go/orders_fbw"
)

cfg := wbordersfbw.NewConfiguration()
cfg.SetAccessToken("<your WB JWT>")
client := wbordersfbw.NewAPIClient(cfg)

result, _, err := client.OrdersFbwAPI.GetV1Drafts(context.Background()).Execute()
if err != nil {
    panic(err)
}
fmt.Printf("%+v\n", result)
java
import io.github.valeryverkhoturov.wbapi.orders_fbw.ApiClient;
import io.github.valeryverkhoturov.wbapi.orders_fbw.SecretString;
import io.github.valeryverkhoturov.wbapi.orders_fbw.api.OrdersFbwApi;

ApiClient client = new ApiClient();
client.setAccessToken(new SecretString("<your WB JWT>"));
OrdersFbwApi api = new OrdersFbwApi(client);

System.out.println(api.getV1Drafts(limit, offset, sort, order));
php
use ValeryVerkhoturov\WbApiClient\OrdersFbw\Configuration;
use ValeryVerkhoturov\WbApiClient\OrdersFbw\SecretString;
use ValeryVerkhoturov\WbApiClient\OrdersFbw\Api\OrdersFbwApi;
use GuzzleHttp\Client;

$config = (new Configuration())
    ->setAccessTokenSecret(new SecretString('<your WB JWT>'));
$api = new OrdersFbwApi(new Client(), $config);

print_r($api->getV1Drafts());
bsl
#Использовать "wb-api-client"

Настройки = Новый Конфигурация();
Настройки.УстановитьТокен("<your WB JWT>");
Клиент = Новый OrdersFbwApi(Настройки);

Сообщить(Клиент.GetV1Drafts().Тело);
csharp
using ValeryVerkhoturov.WbApiClient.OrdersFbw.Api;
using ValeryVerkhoturov.WbApiClient.OrdersFbw.Client;

var config = new Configuration();
config.AccessTokenSecret = new SecretString("<your WB JWT>");
var api = new OrdersFbwApi(config);

Console.WriteLine(api.GetV1Drafts());
rust
use wb_api_client::orders_fbw::apis::{configuration::Configuration, orders_fbw_api};

#[tokio::main]
async fn main() {
    let mut cfg = Configuration::new();
    cfg.set_access_token("<your WB JWT>");

    let result = orders_fbw_api::get_v1_drafts(&cfg, limit, offset, sort, order).await;
    println!("{:#?}", result);
}